<?php



namespace Wpdevcs_Admin_Developer_Support\Inc\Core;



/**

 * Define the internationalization functionality.

 *

 * Loads and defines the internationalization files for this plugin

 * so that it is ready for translation.

 *

 * @link       https://prwirepro.com

 * @since      1.0.0

 *

 * @author     PR Wire Pro

 */

class Internationalization_i18n {



	private $text_domain;



	/**

	 * Initialize the class and set its properties.

	 *

	 * @since    1.0.0

	 * @param      string $plugin_name       The name of this plugin.

	 * @param      string $version    The version of this plugin.

	 */

	public function __construct( $plugin_text_domain ) {



		$this->text_domain = $plugin_text_domain;



	}





	/**

	 * Load the plugin text domain for translation.

	 *

	 * @since    1.0.0

	 */

	public function load_plugin_textdomain() {



		load_plugin_textdomain(

			$this->text_domain,

			false,

			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'

		);

	}

}

